#include "Player.h"
#include "Area.h"

Player::Player()
    : Entity( PlayerEntityType::INSTANCE, 1 )
{
    for( int i = 0; i < 9; i++ )
    {
        ItemSlot* slot = new ItemSlot( 50, 0, i, 0, ANY_DIRECTION, 0 );
        addSlot( slot );
    }
}

Player::~Player()
{}


PlayerEntityType::PlayerEntityType()
    : EntityType( ID )
{}

void PlayerEntityType::loadSuperEntity( Entity* zEntity, Framework::StreamReader* zReader ) const
{
    EntityType::loadSuperEntity( zEntity, zReader );
}

Entity* PlayerEntityType::createEntity() const
{
    return new Player();
}
