#include "Entity.h"


Entity::Entity( const EntityType* zType, bool hasInventory )
    : Model3D(), Inventory( { 0.f, 0.f, 0.f }, hasInventory ), zEntityType( zType )
{}

Entity::~Entity()
{}

bool Entity::tick( double time )
{
    setPosition( location );
    // TODO: calculate rotation based on faceDir
    return Model3D::tick( time );
}

int Entity::getId() const
{
    return id;
}

const EntityType* Entity::zType() const
{
    return zEntityType;
}

int Entity::getCurrentDimension() const
{
    return currentDimensionId;
}